package Übungen;
public abstract class Abrechnung {
    private int periode;
    private Mitarbeiter mitarbeiter;

    public Abrechnung(int periode, Mitarbeiter m){

        this.periode = periode;
        this.mitarbeiter = m;
    }

    public int getPeriode() {

        return this.periode;
    }
    public Mitarbeiter getMitarbeiter() {

        return this.mitarbeiter;
    }
    public abstract double getVerdienst();

    @Override
    public String toString() {
        return "Periode= " + periode + ", Mitarbeiter= " + mitarbeiter.toString() + ", Verdienst= " + getVerdienst();
    }

}